/**
 * <b>Number</b>
 * <p>
 * Creates a wrapper object to allow you to work with numerical values.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>value</b></td>
 * <td>The numeric value of the object being created.</td>
 * </tr>
 * </table>
 * @type Number
 */
var Number = {
/**
 * <b>toLocaleString</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>number</em>.toLocaleString()</code>
 * </p>
 * @type String
 */
toLocaleString: function() {},

/**
 * <b>toSource</b>
 * <p>
 * Returns a string representing the source code of the object.
 * </p>
 * @type String
 */
toSource: function() {},

/**
 * <b>NaN</b>
 * <p>
 * A value representing Not-A-Number.
 * </p>
 * @type Number
 * @static
 */
NaN: undefined,

/**
 * <b>prototype</b>
 * <p>
 * Represents the prototype for the Number constructor.
 * </p>
 * @type Object
 * @static
 */
prototype: undefined,

/**
 * <b>toPrecision</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>number</em>.toPrecision([<em>precision</em>])</code>
 * </p>
 * <p>
 * Returns a string representing the Number object to the specified precision.
 * </p>
 * @type Number
 */
toPrecision: function() {},

/**
 * <b>NEGATIVE_INFINITY</b>
 * <p>
 * A value representing the negative Infinity value.
 * </p>
 * @type String
 * @static
 */
NEGATIVE_INFINITY: undefined,

/**
 * <b>toFixed</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>number</em>.toFixed([<em>digits</em>])</code>
 * </p>
 * <p>
 * Formats a number using fixed-point notation
 * </p>
 * @type Number
 */
toFixed: function() {},

/**
 * <b>MAX_VALUE</b>
 * <p>
 * The maximum numeric value representable in JavaScript.
 * </p>
 * @type Number
 * @static
 */
MAX_VALUE: undefined,

/**
 * <b>toString</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>number</em>.toString([<em>radix</em>])</code>
 * </p>
 * <p>
 * Returns a string representing the specified Number object
 * </p>
 * @type String
 */
toString: function() {},

/**
 * <b>valueOf</b>
 * <p>
 * Returns the primitive value of a Number object.
 * </p>
 * @type Number
 */
valueOf: function() {},

/**
 * <b>toExponential</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>number</em>.toExponential([<em>fractionDigits</em>])</code>
 * </p>
 * <p>
 * Returns a string representing the Number object in exponential notation
 * </p>
 * @type Number
 */
toExponential: function() {},

/**
 * <b>MIN_VALUE</b>
 * <p>
 * The smallest positive numeric value representable in JavaScript.
 * </p>
 * @type Number
 * @static
 */
MIN_VALUE: undefined,

/**
 * <b>POSITIVE_INFINITY</b>
 * <p>
 * A value representing the positive Infinity value.
 * </p>
 * @type String
 * @static
 */
POSITIVE_INFINITY: undefined,

/**
 * <b>constructor</b>
 * <p>
 * Returns a reference to the Number function that created the instance's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name.
 * </p>
 * @type Function
 */
constructor: undefined,

}
